# Master Tops

Salt includes a number of built-in subsystems to generate top file data, they are listed at master tops modules.

The source for the built-in Salt master tops can be found here: salt/tops

- Salt Project
- Introduction to Salt
- Salt system architecture
- Contributing to Salt: A Guide for Contributors
- Installation
- Configuring Salt
- Using Salt
- Remote Execution
- Configuration Management
- Return Codes
- Utility Modules - Code Reuse in Custom Modules
- Events & Reactor
- Orchestration
- Solaris
- Salt SSH
- Thorium Complex Reactor
- Salt Cloud
- Salt Proxy Minion
- Network Automation
- Salt Virt
- Onedir Packaging
- Command Line Reference
- Pillars
- Master Tops
- Salt Module Reference
- APIs
- Architecture
- Minion Data Cache
- Slots
- Windows
- Developing Salt
- Release notes
- Venafi Tools for Salt
- Glossary